Skip Menu |
 

Preferred bug tracker

Please visit the preferred bug tracker to report your issue.

This queue is for tickets about the Data-ObjectDriver CPAN distribution.

Report information
The Basics
Id: 87294
Status: open
Priority: 0/
Queue: Data-ObjectDriver

People
Owner: Nobody in particular
Requestors: ppisar [...] redhat.com
Cc: gregoa [...] cpan.org
AdminCc:

Bug Information
Severity: (no value)
Broken in: 0.09
Fixed in: (no value)



Subject: Bundled Test::Builder is not compatible with Test-Simple-0.98_05
Download (untitled) / with headers
text/plain 884b
Current Data-ObjectDriver bundles Test::Builder. The module has to match installed Test-Simple version, otherwise the tests fail like this: PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0, 'inc', 'blib/lib', 'blib/arch')" t/*.t Test::Builder version 0.98 required--this is only version 0.94 at /usr/share/perl5/vendor_perl/Test/Builder/Module.pm line 5. BEGIN failed--compilation aborted at /usr/share/perl5/vendor_perl/Test/Builder/Module.pm line 5. Compilation failed in require at /usr/share/perl5/vendor_perl/Test/More.pm line 23. BEGIN failed--compilation aborted at /usr/share/perl5/vendor_perl/Test/More.pm line 23. Compilation failed in require at t/00-compile.t line 4. BEGIN failed--compilation aborted at t/00-compile.t line 4. t/00-compile.t ............. Dubious, test returned 29 (wstat 7424, 0x1d00) Please stop bundling Test::Builder.
Download (untitled) / with headers
text/plain 1006b
On 2013-07-25 07:05:25, ppisar wrote: Show quoted text
> Current Data-ObjectDriver bundles Test::Builder. The module has to > match installed Test-Simple version, otherwise the tests fail like > this: > > PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" > "test_harness(0, 'inc', 'blib/lib', 'blib/arch')" t/*.t > Test::Builder version 0.98 required--this is only version 0.94 at > /usr/share/perl5/vendor_perl/Test/Builder/Module.pm line 5. > BEGIN failed--compilation aborted at > /usr/share/perl5/vendor_perl/Test/Builder/Module.pm line 5. > Compilation failed in require at > /usr/share/perl5/vendor_perl/Test/More.pm line 23. > BEGIN failed--compilation aborted at > /usr/share/perl5/vendor_perl/Test/More.pm line 23. > Compilation failed in require at t/00-compile.t line 4. > BEGIN failed--compilation aborted at t/00-compile.t line 4. > t/00-compile.t ............. > Dubious, test returned 29 (wstat 7424, 0x1d00) > > Please stop bundling Test::Builder.
This looks like a duplicate of RT #93937.
Download (untitled) / with headers
text/plain 1.1k
On 2014-12-18 01:39:55, SREZIC wrote: Show quoted text
> On 2013-07-25 07:05:25, ppisar wrote:
> > Current Data-ObjectDriver bundles Test::Builder. The module has to > > match installed Test-Simple version, otherwise the tests fail like > > this: > > > > PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" > > "test_harness(0, 'inc', 'blib/lib', 'blib/arch')" t/*.t > > Test::Builder version 0.98 required--this is only version 0.94 at > > /usr/share/perl5/vendor_perl/Test/Builder/Module.pm line 5. > > BEGIN failed--compilation aborted at > > /usr/share/perl5/vendor_perl/Test/Builder/Module.pm line 5. > > Compilation failed in require at > > /usr/share/perl5/vendor_perl/Test/More.pm line 23. > > BEGIN failed--compilation aborted at > > /usr/share/perl5/vendor_perl/Test/More.pm line 23. > > Compilation failed in require at t/00-compile.t line 4. > > BEGIN failed--compilation aborted at t/00-compile.t line 4. > > t/00-compile.t ............. > > Dubious, test returned 29 (wstat 7424, 0x1d00) > > > > Please stop bundling Test::Builder.
> > This looks like a duplicate of RT #93937.
(But this ticket is of course older)
Download (untitled) / with headers
text/plain 1.3k
On 2014-12-18 01:44:19, SREZIC wrote: Show quoted text
> On 2014-12-18 01:39:55, SREZIC wrote:
> > On 2013-07-25 07:05:25, ppisar wrote:
> > > Current Data-ObjectDriver bundles Test::Builder. The module has to > > > match installed Test-Simple version, otherwise the tests fail like > > > this: > > > > > > PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" > > > "test_harness(0, 'inc', 'blib/lib', 'blib/arch')" t/*.t > > > Test::Builder version 0.98 required--this is only version 0.94 at > > > /usr/share/perl5/vendor_perl/Test/Builder/Module.pm line 5. > > > BEGIN failed--compilation aborted at > > > /usr/share/perl5/vendor_perl/Test/Builder/Module.pm line 5. > > > Compilation failed in require at > > > /usr/share/perl5/vendor_perl/Test/More.pm line 23. > > > BEGIN failed--compilation aborted at > > > /usr/share/perl5/vendor_perl/Test/More.pm line 23. > > > Compilation failed in require at t/00-compile.t line 4. > > > BEGIN failed--compilation aborted at t/00-compile.t line 4. > > > t/00-compile.t ............. > > > Dubious, test returned 29 (wstat 7424, 0x1d00) > > > > > > Please stop bundling Test::Builder.
> > > > This looks like a duplicate of RT #93937.
> > (But this ticket is of course older)
CPAN.pm users may use this distroprefs file: https://github.com/eserte/srezic-cpan-distroprefs/blob/master/Data-ObjectDriver.yml


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.